<html>
<b>=== Release Notes ===</b><br/>
<b>Version 1.7.0</b><br/>
Contact: EN-ICE. <a href="mailto:Icecontrols.Support@cern.ch">Icecontrols.Support@cern.ch</a><br/><br/>

<b>IMPORTANT INFO</b>:
<ul>
<li>Before you install the new version of the CPC Wizard, you <b>must</b> install the new version of the UAB Bootstrap</li>
<li>You must have <b>JAVA 7</b> installed. </br>
If you double-click on the .bat and nothing happens, you need to install java 7 (from CMF or otherwise)</li>
<li>If you have <b>JAVA 8</b> installed it will not work: this java version has not been validated for UAB. </br>
	You can know the version you have installed from the command line typing : java -version</br>
	If you have that version installed, please remove it and install the latest version of Java 1.7.</br>
	</li>
</ul>

<b>CPC 1.7.0 is a major release including the following new features:</b>

<ul>
<li><b>Generation Tools</b>:</li>
<ul>
	<li><b>All Logic Generators</b>:<br/>
		<ul>
			<li>Table of logic sections automatically updated on generation, no need to click 'Reload Specs' </li>
		</ul>
	</li>
	<li><b>Schneider Generator</b>:<br/>
		<ul>
			<li>Much faster for partial logic generation</li>
			<li>Added option to output multiple files (1 per section) in a subdirectory</li>
			<li>Allow user to generate just BL for field objects</li>
		</ul>
	</li>
</ul>

<li><b>Control</b>:</li>
<ul>
	<li>New <b>Siemens S7</b> PLC Baseline 
		<a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-plc-siemens&v=6.6&e=zip">6.6</a>
		(
		<a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14458">change list</a>
		):
		<ul>
			<li>Corrected bug with IO error evaluation in PA valves.</li>
			<li>Corrected System Failure error reported in the PLC produced by the TSPP routine.</li>
			<li>Corrected bug in PID default values which are not restored in a warm restart of the PLC.</li>
		</ul>
	</li>
	<li>New <b>Schneider Unity</b> PLC Baseline
		<a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-plc-schneider&v=6.7&e=zip">6.7</a>
		(
		<a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14459">change list</a>
		):
		<ul>
			<li>Update baseline to Unity V7</li>
			<li>Improved event buffering if communication loss</li>
			<li>Fix Quantum event address issue</li>
		</ul>
	</li>
</ul>

<li><b>Supervision & operation:</b>:<br/>
<ul>
	<li>New <b>WinCC OA</b> CPC Package
		<a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-wincc-oa&v=6.3.2&e=zip">6.3.2</a>
		(
		see <a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14477">change list</a> and <a href="https://edms.cern.ch/file/1225544/6.3.2/ucpc-wincc-oa-6.3.2-ReleaseNotes.txt">release notes on EDMS</a>
		)
		:
	<li>This is a minor release, compatible with WinCC OA 3.11 SP1 only. Highlights:</li>
		<ul>
			<li>Improvements in user interface, including new "Alarm" and "Event" tabs available in faceplates</li>
			<li>Name of PCO can be modified from device configuration</li>
			</li>
		</ul>
	</li>
</ul>

</ul>

<br/>
<b>Please use version 1.7.0 in all your new projects. </b>And upgrade your old projects to version 1.7.0 if possible/appropriate. <br/><br/>
<b>See official documentation here: <a href="http://cern.ch/unicos-cpc">http://cern.ch/unicos-cpc</a></b><br/>
<b>For help, see: <a href="http://cern.ch/unicos-cpc-help">http://cern.ch/unicos-cpc-help</a></b><br/>

<hr>

<b>=== Upgrade procedure ===</b><br/>
<b>In order to upgrade a SIEMENS PLC:</b><br/>
<ul>
<li>Before the upgrade:</li>
<ul>
<li> Make a backup of your UAB project (or make sure all files are committed to SVN)</li>
</ul>
<li>Do the UAB resource-package upgrade
<li> Regenerate files you want to change in PLC and all symbols</li>
<li> In case you have made user code in Step7, export and save the sources with your user SCL code</li>
<li> Re-import in your PLC application the generated source files and all symbols</li>
<li> Re-import the new PLC baseline</li>
<li> Re compile Baseline and new files</li>
<li> In case you had made user code in Step7, reuse your user SCL code previously saved</li>
</ul>

<hr>

<b>=== Components ===</b><br/>

Version 1.7.0 includes the following components:<br/>
<ul>
<li> CPC Resources Package <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.uab.resources.cpc&a=cpc-resources-package&v=1.7.0&e=jar">1.7.0</a></b>: <a href="https://icecontrols.its.cern.ch/jira/secure/ReleaseNote.jspa?projectId=10698&version=15333">Release Notes</a> <br/></li>
<li> Schneider PLC Baseline <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-plc-schneider&v=6.7&e=zip">6.7</a></b>: <a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14459">change list</a> <br/></li>
<li> Siemens PLC Baseline <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-plc-siemens&v=6.6&e=zip">6.6</a></b>: <a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14458">change list</a> <br/></li>
<li> CoDeSyS PLC Baseline <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-softplc-codesys&v=1.0&e=zip">1.0</a></b>: No changes. </li>
<li> WinCC Flexible CPC Touch Panel Package <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-wincc-flexible&v=1.19&e=zip">1.19</a></b>: <a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14460">change list</a> </li>
<li> TIA Portal CPC Touch Panel Package <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-wincc-tia&v=1.1&e=zip">1.1</a></b>: <a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14461">change list</a> </li>
<li> Magelis CPC Touch Panel Package <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-magelis&v=1.0&e=zip">1.0</a></b>: No changes. </li>
<li> WinCC OA CPC Package <b><a href="https://j2eeps.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-wincc-oa&v=6.3.2&e=zip">6.3.2</a></b>: <a href="https://icecontrols.its.cern.ch/jira/issues/?filter=14477">change list</a></li>
<li> Framework Installation Tool <b><a href="https://edms.cern.ch/file/1085149/60/fwInstallation-7.1.5.zip">7.1.5</a></b>, see <a href="https://j2eeps.cern.ch/wikis/display/EN/JCOP+Framework+Component+Installation">documentation page</a></li>
<li> UNICOS Framework <b><a href="https://edms.cern.ch/file/1176169/6.2.7/unicos-framework-6.2.7.zip">6.2.7</a></b>, see <a href="https://edms.cern.ch/file/1176169/6.2.7/unicos-framework-ReleaseNotes.txt">release notes</a> and <a href="https://edms.cern.ch/document/1176169/6.2.7">EDMS link</a></li>
</ul>

For complete list of CPC Wizard 1.7.0 changes, see <a href="https://icecontrols.its.cern.ch/jira/secure/ReleaseNote.jspa?projectId=10698&version=15334">Release Notes</a> <br/>

</html>